Support » Plugin: Essential Addons for Elementor » WPML compatibility of Data table widget?

  • Resolved ftpwp

    (@ftpwp)


    Hi @re_enter_rupok,

    Another year and still nothing solved.

    Despite 2 of those 3 topics being marked as “Resolved”, nothing is…
    https://wordpress.org/support/topic/wpml-translation-of-widgets-on-existing-pages/
    https://wordpress.org/support/topic/wpml-compatibility-of-data-table-widget/
    https://wordpress.org/support/topic/wpml-compatibility-of-data-table-widget-2/

    When will EA widgets and especially the Data table widget become WPML compliant?

    You guys claim EA is fully WPML compliant for nearly 1 year now, but it’s just false!
    I ran a quick test 9 months ago regarding the WPML compatibility and found out that there’s still quite a few free widgets not compliant:
    – Advance Accordion > OK
    – Advance Tab > OK
    – Call to Action > OK
    – Content Ticker > NOK
    – Countdown > NOK
    – Creative Button > OK
    – Data Table > NOK
    – Dual Color Heading > OK
    – Fancy Text > OK
    – Feature List > OK
    – Filterable Gallery > NOK
    – Flip Box > NOK
    – Image Accordion > OK
    – Infobox > OK
    – Post Grid > No need
    – Post Timeline > No need
    – Pricing Table > OK
    – Product Grid > No need
    – Progress Bar > OK
    – Team Member > OK
    – Testimonial > OK
    – Tooltip > OK
    – Twitter Feed > NOK

    I’ve been specifically waiting for this widget for 18 months now.

    At that time (Jan 2019), the WPML compliant version was supposed to be released late March. It arrived July 1st, but… with several widgets still not compliant while in the Changelog you still claim: “Added : WPML support for all elements”!

    Then you’ve released 8 updates and still nothing fixed 🙁
    3.1.1 – 04/07/2019
    3.1.2 – 10/07/2019
    3.1.3 – 14/07/2019
    3.1.4 – 28/07/2019
    3.1.4.1–29/07/2019
    3.1.5 – 30/07/2019
    3.2.0 – 19/08/2019
    3.2.1 – 19/08/2019

    July 15th, it was supposed to take another 2 weeks at most…
    https://wordpress.org/support/topic/wpml-compatibility-of-data-table-widget/#post-11733201

    August 19th, you were supposed to “put this on high priority now and make sure to update as soon as possible”…
    https://wordpress.org/support/topic/wpml-compatibility-of-data-table-widget-2/#post-11844581

    Since then, 30 new updates have been released and still nothing fixed 🙁
    3.3.0 – 15/09/2019
    3.3.1 – 18/09/2019
    3.3.2 – 26/09/2019
    3.3.3 – 08/10/2019
    3.4.0 – 10/10/2019
    3.5.0 – 30/10/2019
    3.5.1 – 31/10/2019
    3.5.2 – 11/11/2019
    3.6.0 – 14/11/2019
    3.6.1 – 27/11/2019
    3.6.2 – 09/12/2019
    3.7.0 – 06/01/2020
    3.7.1 – 14/01/2020
    3.7.2 – 23/01/2020
    3.8.0 – 16/02/2020
    3.8.1 – 24/02/2020
    3.8.2 – 01/03/2020
    3.8.3 – 03/03/2020
    3.8.4 – 12/03/2020
    3.8.3 – 03/03/2020
    3.8.5 – 15/03/2020
    3.9.0 – 25/03/2020
    3.9.1 – 25/03/2020
    3.9.2 – 12/04/2020
    3.9.3 – 29/04/2020
    3.9.4 – 03/05/2020
    4.0.0 – 21/05/2020
    4.0.1 – 28/05/2020
    4.0.2 – 04/06/2020
    4.0.3 – 11/06/2020

    So when will it come this time?

    Thanks.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support rafinkhan

    (@rafinkhan)

    @ftpwp,

    Hi, there. Well, the good news is that, we have been working to improve the WPML Compatibility with all our widgets. And already have added WPML Compatibility for EA Data Table. It’s still in the development branch and will be released within next week or so. You can check out it here and test it out: https://github.com/rupok/essential-addons-for-elementor-lite/tree/mahfuz-dev

    Why don’t you test out the dev version and let us know the feedback? Thank you so much for your detailed report.

    Have a nice day!

    Plugin Support rafinkhan

    (@rafinkhan)

    @ftpwp,

    Have you checked out our new release by the way? Let me know. Thank you!

    Thread Starter ftpwp

    (@ftpwp)

    Hi,

    Which new release are you referring to?
    The 4.0.4? If yes, then yes, it’s in production, but nothing new, even undocumented.

    If you’re referring to the dev branch you pointed out, no I’ve not installed it yet. Didn’t had time to build a test environment for it.

    Benny

    (@bennygiesbers)

    Hi!

    Is there any news on this? We need to translate our ‘Filterable Gallery’. It doesn’t seem to be compatible yet. We are on 4.0.4. It looks like the dev branch doesn’t contain WPML related fixes.

    Or perhaps there are workarounds?

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘WPML compatibility of Data table widget?’ is closed to new replies.